Subject: [Ace] Adam Roach's No Objection on draft-ietf-ace-cwt-proof-of-possession-09: (with COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Mon, 28 Oct 2019 23:07:18 -0700

Adam Roach has entered the following ballot position for
draft-ietf-ace-cwt-proof-of-possession-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ace-cwt-proof-of-possession/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the work everyone put into defining this mechanism. I have one
very minor comment that the authors may wish to take into account.

§3.3:

>     /alg/ 3 : /HMAC256//256/ 5,

This use of "//" seems problematic, given RFC 8610's vague reservation of this
sequence for some kind of "comment to end of line" designation:

   (There are currently no end-of-line comments.  If we want to add
   them, "//" sounds like a reasonable delimiter given that we already
   use slashes for comments, but we could also go, for example,
   for "#".)

Given the potential ambiguity introduced by RFC 8610, perhaps
consider some other syntax here instead of "//".

---

From: Mike Jones <[email-masked]>
Date: Thu, 31 Oct 2019 00:41:00 +0000

Thanks for your review, Adam.  The questionable comment syntax that you pointed out has been changed to the unsurprising representation /HMAC 256-256/ in https://tools.ietf.org/html/draft-ietf-ace-cwt-proof-of-possession-10#section-3.3.

				Best wishes,
				-- Mike

-----Original Message-----
From: Adam Roach via Datatracker <[email-masked]> 
Sent: Monday, October 28, 2019 11:07 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Adam Roach's No Objection on draft-ietf-ace-cwt-proof-of-possession-09: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C1c9c12805d7c4b7ed6f408d75c3641ff%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637079260432123647&amp;sdata=yV4geJmqHs6nE2KEz1HxXf55xRRlGQJdLgHEeKkzxus%3D&amp;reserved=0
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-ace-cwt-proof-of-possession%2F&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C1c9c12805d7c4b7ed6f408d75c3641ff%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637079260432123647&amp;sdata=iOQpEcoj42%2FrW8qN8c38l931EGH%2BTM0qNgL1aC9aM3E%3D&amp;reserved=0

Thanks for the work everyone put into defining this mechanism. I have one very minor comment that the authors may wish to take into account.

>     /alg/ 3 : /HMAC256//256/ 5,

This use of "//" seems problematic, given RFC 8610's vague reservation of this sequence for some kind of "comment to end of line" designation:

Given the potential ambiguity introduced by RFC 8610, perhaps consider some other syntax here instead of "//".

---

From: Adam Roach <[email-masked]>
Date: Wed, 30 Oct 2019 20:14:50 -0500

Thanks! Looks good to me.

/a